// COPYRIGHT (C) 1990-1999.  All Rights Reserved. - EVENTWN1.HPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

#include <zaf.hpp>

const ZafEventType RED_BACKGROUND   = 10000;
const ZafEventType GREEN_BACKGROUND = 10001;
const ZafEventType BLUE_BACKGROUND  = 10002;

class EventWindow : public ZafWindow
{
public:
	// --- General members ---
	virtual ~EventWindow(void) {}
	virtual ZafEventType Event(const ZafEventStruct &event);

	// --- Persistent members ---
	EventWindow(const ZafIChar *name, ZafObjectPersistence &persist);
};

